libwpd (0.10.3-1) unstable; urgency=medium

  * New upstream version 0.10.3

 -- Rene Engelhard <rene@debian.org>  Sun, 30 Dec 2018 12:11:19 +0100

libwpd (0.10.2-3) unstable; urgency=medium

  * debian/patches/0001-Resolves-rhbz-1643752-bounds-check-m_currentTable-ac.patch:
    add from Fedora to fix CVE-2018-19208 (closes: #913702)

 -- Rene Engelhard <rene@debian.org>  Wed, 14 Nov 2018 21:16:15 +0100

libwpd (0.10.2-2) unstable; urgency=medium

  * add missing new Build-Depends: of libboost-dev

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Sep 2017 12:45:10 +0200

libwpd (0.10.2-1) unstable; urgency=medium

  * New upstream version 0.10.2
    - fixes CVE-2017-14226 (closes: #876001)

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Sep 2017 11:31:28 +0200

libwpd (0.10.1-5) unstable; urgency=medium

  * [7d35591] move Maintainer: to Debian LibreOffice Maintainers
  * [6e7145a] use dh_auto_configure instead of manual ./confgure
  * [73ae946] multiarchify

 -- Rene Engelhard <rene@debian.org>  Mon, 12 Sep 2016 22:58:36 +0200

libwpd (0.10.1-4) unstable; urgency=medium

  * *really* remove Masayuku Hatta from Uploaders: (closes: #836466) 

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Sep 2016 20:35:25 +0200

libwpd (0.10.1-3) unstable; urgency=medium

  * remove Masayuku Hatta from Uploaders: (closes: #836466) 

 -- Rene Engelhard <rene@debian.org>  Sat, 03 Sep 2016 17:52:19 +0200

libwpd (0.10.1-2) unstable; urgency=medium

  * add build-{arch,indep} (closes: #822045), build docs only in build-indep
    and move doxygen to B-D-I.
  * apply parts of "update the packaging" patch from #814869
    - Bump the standards version.
    - Enable parallel builds.
    - Honor nocheck in DEB_BUILD_OPTIONS.
    - debian/rules: Cleanup unused macros, don't run configure on install.

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Jul 2016 15:19:46 +0200

libwpd (0.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 30 Dec 2015 15:28:16 +0100

libwpd (0.10.0-2) unstable; urgency=low

  * upload to unstable

  * fix debian/copyright for MPL-2.0 | LGPL-2.1+ dual-license 

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Aug 2014 00:35:26 +0200

libwpd (0.10.0-1) experimental; urgency=low

  * New upstream release

  * run simple dh_autoreconf without specifying autogen.sh as otherwise
    config.{sub,guess} are not updated

 -- Rene Engelhard <rene@debian.org>  Sat, 24 May 2014 18:07:05 +0200

libwpd (0.9.9-1) unstable; urgency=low

  * New upstream release
  
  * bump dh compat to 9, use /usr/share/dpkg/{architecture,buildflags}.mk 

 -- Rene Engelhard <rene@debian.org>  Tue, 20 Aug 2013 22:00:26 +0200

libwpd (0.9.8-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 14 May 2013 11:01:45 +0000

libwpd (0.9.7-3) unstable; urgency=low

  * build with --disable-werror (closes: #707418) 

 -- Rene Engelhard <rene@debian.org>  Thu, 09 May 2013 11:39:33 +0200

libwpd (0.9.7-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Fri, 19 Apr 2013 00:47:04 +0200

libwpd (0.9.7-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 18 Apr 2013 22:00:14 +0200

libwpd (0.9.6-2) experimental; urgency=low

  * build-depend on pkg-config...

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Sep 2012 22:24:09 +0000

libwpd (0.9.6-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 25 Sep 2012 08:23:18 +0200

libwpd (0.9.5-1) experimental; urgency=low

  * New upstream release
  * revert accidential upstream ABI breakage (patch from upstream)
  * fix build to work two times in a row...

 -- Rene Engelhard <rene@debian.org>  Mon, 24 Sep 2012 22:59:01 +0200

libwpd (0.9.4-3) unstable; urgency=low

  * use dh-autoreconf instead of copying config.* in clean manually 

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Mar 2012 13:34:49 +0100

libwpd (0.9.4-2) unstable; urgency=low

  * apply patch from Moritz Mühlenhoff to enable hardened build flags
    (closes: #653947) 

 -- Rene Engelhard <rene@debian.org>  Tue, 24 Jan 2012 00:41:15 +0000

libwpd (0.9.4-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Nov 2011 23:31:13 +0100

libwpd (0.9.3-1) unstable; urgency=low

  * New upstream release
  * build with make V=1 

 -- Rene Engelhard <rene@debian.org>  Mon, 05 Sep 2011 17:24:25 +0000

libwpd (0.9.2-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Wed, 04 May 2011 21:50:09 +0000

libwpd (0.9.1-3) unstable; urgency=low

  * debian/patches/libwpd-gcc4.6.0.patch: import from Fedora, as name says 

 -- Rene Engelhard <rene@debian.org>  Fri, 25 Mar 2011 19:12:38 +0000

libwpd (0.9.1-2) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 03 Feb 2011 23:23:04 +0000

libwpd (0.9.1-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sun, 23 Jan 2011 23:12:02 +0100

libwpd (0.9.0-2) experimental; urgency=low

  * add various ${misc:Depends} 
  * Apps/Programming -> Programming in .doc-base 
  * stop conflicting against libwpd8c2a, both are supposed to be
    parallel installable

 -- Rene Engelhard <rene@debian.org>  Wed, 24 Nov 2010 15:39:15 +0100

libwpd (0.9.0-1) experimental; urgency=low

  * New upstream release
  * migrate to 3.0 (quilt)
  * move from dh_movefiles to dh_install 
  * remove obsolete (build-)depends:
    libbz2-dev, libgsf-1-dev, libglib2.0-dev, libxml2-dev
  * merge libwpd-stream lib into the "normal" libwpd package

 -- Rene Engelhard <rene@debian.org>  Tue, 16 Nov 2010 20:06:04 +0100

libwpd (0.8.14-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Feb 2008 15:22:12 +0100

libwpd (0.8.13-2) unstable; urgency=low

  * fix changelog 

 -- Rene Engelhard <rene@debian.org>  Fri, 14 Dec 2007 14:04:46 +0100

libwpd (0.8.13-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 13 Dec 2007 16:47:26 +0100

libwpd (0.8.12-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Oct 2007 09:41:07 +0200

libwpd (0.8.11-2) unstable; urgency=low

  * fix build with g++-4.3 (closes: #441563)

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Sep 2007 14:36:39 +0200

libwpd (0.8.11-1) unstable; urgency=low

  * New upstream release
  * mention POLE in debian/copyright
  * fix some lintian stuff

 -- Rene Engelhard <rene@debian.org>  Fri, 24 Aug 2007 18:03:42 +0200

libwpd (0.8.10-1) unstable; urgency=low

  * New upstream release
  * bump shlibs for libwpd-stream8c2a 

 -- Rene Engelhard <rene@debian.org>  Fri, 15 Jun 2007 13:28:41 +0200

libwpd (0.8.9-3) unstable; urgency=low

  * register with doc-base

 -- Rene Engelhard <rene@debian.org>  Fri, 08 Jun 2007 01:12:11 +0200

libwpd (0.8.9-2) unstable; urgency=low

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Sun,  8 Apr 2007 13:47:11 +0200

libwpd (0.8.9-1) experimental; urgency=high

  * new upstream release
    - fixes CVE-2007-0002
  * merge 0.8.7-5s Depends: fix (closes: #409312)

 -- Rene Engelhard <rene@debian.org>  Fri, 16 Mar 2007 10:17:21 +0100

libwpd (0.8.8-2) experimental; urgency=low

  * run make check for stream check; build-depend on libcppunit-dev 

 -- Rene Engelhard <rene@debian.org>  Thu, 11 Jan 2007 15:15:57 +0100

libwpd (0.8.8-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Tue,  9 Jan 2007 13:47:53 +0100

libwpd (0.8.7-4) unstable; urgency=medium

  * update debian/copyright, mmh... 

 -- Rene Engelhard <rene@debian.org>  Tue, 24 Oct 2006 12:14:42 +0200

libwpd (0.8.7-3) unstable; urgency=low

  * apply patch from upstream to fix minor memory leak with WP1 footnotes 

 -- Rene Engelhard <rene@debian.org>  Thu, 19 Oct 2006 16:08:00 +0200

libwpd (0.8.7-2) unstable; urgency=low

  * update description wrt supported WP documents 

 -- Rene Engelhard <rene@debian.org>  Mon,  9 Oct 2006 15:40:35 +0200

libwpd (0.8.7-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon,  9 Oct 2006 11:55:38 +0200

libwpd (0.8.6-1) unstable; urgency=low

  * New upstream release
  * swap maintainer/uploader

 -- Rene Engelhard <rene@debian.org>  Sat, 15 Jul 2006 11:58:12 +0200

libwpd (0.8.5-3) unstable; urgency=low

  * stop shipping .la files (closes: #374331) 

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Jun 2006 19:20:10 +0200

libwpd (0.8.5-2) unstable; urgency=low

  * dpatch'ize 
  * add patch from upstream fixing WP5 font handling regression

 -- Rene Engelhard <rene@debian.org>  Sun, 11 Jun 2006 23:56:17 +0200

libwpd (0.8.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.7.2 (no changes needed)
  * call dh_makeshlibs...
  * install docs using dh_movefiles, too

 -- Rene Engelhard <rene@debian.org>  Fri,  2 Jun 2006 00:41:19 +0200

libwpd (0.8.4-2) unstable; urgency=low

  * re-autogen to fix hppa build
  * update automake builddep and add autoconf

 -- Rene Engelhard <rene@debian.org>  Fri,  9 Dec 2005 16:20:02 +0000

libwpd (0.8.4-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu,  8 Dec 2005 12:17:28 +0100

libwpd (0.8.3-3) unstable; urgency=low

  * rename packages to ...c2a because of the libstdc++ allocator change.
    (closes: #339224)

 -- Rene Engelhard <rene@debian.org>  Thu, 17 Nov 2005 12:05:07 +0100

libwpd (0.8.3-2) unstable; urgency=low

  * rebuild against new libgsf, increase builddeps accordingly

 -- Rene Engelhard <rene@debian.org>  Tue,  1 Nov 2005 20:52:37 +0100

libwpd (0.8.3-1) unstable; urgency=low

  * New upstream release
  * update FSFs address in debian/copyright
  * Standards-Version: 3.6.2 (no changes needed)

 -- Rene Engelhard <rene@debian.org>  Wed, 31 Aug 2005 16:29:30 +0200

libwpd (0.8.2-2) unstable; urgency=low

  * C++ ABI transition
    - rename libwpd8 / libwpd-stream8 to ...8c2 and replace/conflict (with)
      the old library. Change debian/rules, *.files and .shlibs for the new
      package names

 -- Rene Engelhard <rene@debian.org>  Sun,  3 Jul 2005 20:55:49 +0200

libwpd (0.8.2-1) unstable; urgency=low

  * New upstream release
  * upstream already builds the docs; don't do that ourselves again ;) 

 -- Rene Engelhard <rene@debian.org>  Wed, 22 Jun 2005 18:48:43 +0200

libwpd (0.8.1-1) unstable; urgency=low

  * New upstream release
  * install libwpd.dia

 -- Rene Engelhard <rene@debian.org>  Sun, 17 Apr 2005 02:04:28 +0200

libwpd (0.8.0-4) unstable; urgency=low

  * upload to unstable, abiword needs us now and it's better to link
    OOo against libwpd dynamically instead of an own static version..

 -- Rene Engelhard <rene@debian.org>  Tue, 22 Feb 2005 00:32:53 +0100

libwpd (0.8.0-3) experimental; urgency=low

  * rebuild on clean unstable to not have a dependency on experimentals
    libgcc1, oops

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2005 14:47:07 +0100

libwpd (0.8.0-2) experimental; urgency=low

  * add docs/ - except libwpd.dia - extracted from upstream CVS
    (tag LIBWPD-0-8-0)
  * build documentation and install it into libwpd8-doc
  * build-depend on doxygen
  * minor debian/rules cleanup

 -- Rene Engelhard <rene@debian.org>  Fri, 18 Feb 2005 01:12:10 +0100

libwpd (0.8.0-1) experimental; urgency=low

  * new upstream release.
  * split libwpd8 / libwpd-stream8 since we can avoid glib/libgsf
    dependencies when programs (e.,g. OOo) don't ned the GSFStream support.
  * split wpd2* out to -tools
  * add myself as co-maintainer.

 -- Rene Engelhard <rene@debian.org>  Thu, 10 Feb 2005 19:34:46 +0100

libwpd (0.7.2-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Tue, 10 Aug 2004 00:37:47 +0900

libwpd (0.7.1-4) unstable; urgency=medium

  * Now libwpd-dev depends on libglib2.0-dev and libgsf-1-dev - closes: #253014
  * Added Build-Depends: libbz2-dev - closes: #253911

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sun, 20 Jun 2004 02:41:29 +0900

libwpd (0.7.1-3) unstable; urgency=low

  * Made it versioned build-dep for libxml2-dev - closes: #242970

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 26 Apr 2004 22:56:13 +0900

libwpd (0.7.1-2) unstable; urgency=low

  * [control] changed Maintainer field.
  * [control] fixed typos.
  * Changed the mail address of upstream authors.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Mon, 16 Feb 2004 12:19:43 +0900

libwpd (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta (mhatta) <mhatta@debian.org>  Sat,  7 Feb 2004 16:08:40 +0900

libwpd (0.6.6-1) unstable; urgency=low

  * New upstream release
  * Changed libwp4 to libwpd5 since soname has been bumped up again.  Oh boy.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 10 Nov 2003 18:38:55 +0900

libwpd (0.6.5-1) unstable; urgency=low

  * New upstream release.
  * Changed libwp3 to libwpd4 since soname has been bumped up again.

 -- Masayuki Hatta <mhatta@debian.org>  Wed,  5 Nov 2003 11:26:08 +0900

libwpd (0.6.4-1) unstable; urgency=low

  * New upstream release.
  * Changed libwp2 to libwpd3 since soname has been bumped up.

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 26 Oct 2003 12:21:58 +0900

libwpd (0.6.3-1) unstable; urgency=low

  * New upstream release
  * Changed libwp0 to libwpd2 since soname has been bumped up.

 -- Masayuki Hatta <mhatta@debian.org>  Fri,  3 Oct 2003 12:42:05 +0900

libwpd (0.6.1-3) unstable; urgency=low

  * Oops, I forgot to build static library.  Fixed.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Sep 2003 16:38:17 +0900

libwpd (0.6.1-2) unstable; urgency=low

  * Fixed shlibs.

 -- Masayuki Hatta <mhatta@debian.org>  Mon, 15 Sep 2003 16:09:01 +0900

libwpd (0.6.1-1) unstable; urgency=low

  * New upstream release

 -- Masayuki Hatta <mhatta@debian.org>  Sun, 14 Sep 2003 20:38:33 +0900

libwpd (0.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  8 Jun 2003 12:46:23 +0900

libwpd (0.4.0-3) unstable; urgency=low

  * Added Build-Dep: automake1.7 - closes: #192154

 -- Masayuki Hatta <mhatta@debian.org>  Fri,  9 May 2003 18:20:27 +0900

libwpd (0.4.0-2) unstable; urgency=low

  * Forgot to add debian/libwpd0.shlibs.  Fixed.

 -- Masayuki Hatta <mhatta@debian.org>  Sun,  4 May 2003 12:14:20 +0900

libwpd (0.4.0-1) unstable; urgency=low

  * Initial Release - closes: #191756
  * Thanks James A. Treacy <treacy@debian.org> for preparing this release.

 -- Masayuki Hatta <mhatta@debian.org>  Sat,  3 May 2003 22:01:44 +0900

